Subject: RE: NAPTR record for urn:fdc

From: "Dave Tessman" <[email-masked]>
Date: Wed, 16 Sep 2009 00:18:17 -0700

Hi Leslie!

I am finally getting back to this.  If you are not the person I should be
talking to for help (it has been quite a while), let me know!

Am I heading in the right direction, how does this look?

-----

To: [email-masked]
Subject: [register] URN.ARPA registration for the FDC URN namespace (RFC
4198)

Key: fdc
Authority: Dave Tessman as specified in RFC 4198
Record: fdc     IN NAPTR 100 100 "U" ""
"!^(urn:fdc:([^:]+):[^:]+:.+)$!http://\2/uri-res/N2R?\1!i" .

----

Thanks,

--Dave

Zelestra
Software Architecture for the New Media
www.zelestra.com

-----Original Message-----
From: Leslie Daigle [mailto:[email-masked]] 
Sent: Monday, December 08, 2008 12:26 PM
To: Dave Tessman
Cc: Ted Hardie; [email-masked]
Subject: Re: NAPTR record for urn:fdc

Hi,

Yep, it's been a while.

The process for getting NAPTR material into urn.arpa is outlined in this 
RFC:

http://www.ietf.org/rfc/rfc3405.txt

It would probably be good to cc the IAB and/or IANA on any 
correspondence, as it's been a while since there was any action there.

I wasn't quite clear from the message below whether help is sought for 
formulating the NAPTR record that will be registered?

Leslie.

Ted Hardie wrote:
> Hi Dave,
> 	Yes, it is possible.  The IAB is responsible for the
> .ARPA domain, and they need to approve delegations under
> it.  If you want fdc.urn.arpa delegated, I believe they would
> be the ones to instruct IANA on it.  I've cc'ed Leslie Daigle
> on this message; though she's not currently on the IAB, I
> believe she was chair the last time it was done and probably
> has better info on how to request it of the IAB.
> 				regards,
> 					Ted Hardie
> 
> 
> At 3:52 PM -0800 11/24/08, Dave Tessman wrote:
>> Is it even possible to create a NAPTR DNS record (on URN.ARPA?) for the
>> "fdc" NID (RFC 4198) that would map the ProviderId portion of the NSS to
the
>> URN resolution path using the http scheme and the ProviderId as the
domain
>> name as specified in RFC 4198?
>>
>> urn:fdc:<ProviderId>:<CCYY>:<Path>
>>
>> Becomes
>>
>> http://<ProviderId>/uri-res/N2R?<Path>
>>
>> The result being that folks could type the URN into their browsers and
the
>> appropriate resource would be returned.
>>
>> If this is doable, what would my process be to start that rolling?
>>
>> Thanks,
>>
>> Dave Tessman
>> [email-masked]
> 

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------